%global momorel 1
%global md5sum_src0 8c09283bacd161b0c3861219382c9086

Name:           perl-DateTime-Event-Lunar
Version:        0.06
Release: %{momorel}m%{?dist}
Summary:        Perl DateTime Extension For Computing Lunar Events
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Event-Lunar/
%NoSource 0     http://www.cpan.org/modules/by-module/DateTime/DateTime-Event-Lunar-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Set
BuildRequires:  perl-DateTime-Util-Astro >= 0.10
BuildRequires:  perl-DateTime-Util-Calc >= 0.13
BuildRequires:  perl-Math-Round
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
Requires:       perl-DateTime
Requires:       perl-DateTime-Set
Requires:       perl-DateTime-Util-Astro >= 0.09
Requires:       perl-DateTime-Util-Calc >= 0.13
Requires:       perl-Math-Round
Requires:       perl-Params-Validate
Requires:       perl

%description
This module calculates the time and date of certain recurring lunar events,
including new moons and specific lunar phases.

%prep
%setup -q -n DateTime-Event-Lunar-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-1m)
- update to 0.06

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-2m)
- use vendor

* Wed Feb  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05
- need perl-DateTime-Util-Astro upto 0.09
- need perl-DateTime-Util-Calc upto 0.13

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.04-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.04-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
